SET LOADVERSION 7.5.1
/
CREATE TABLE SYSADM.FEIER (
  TAG CHAR(10) NOT NULL, 
  GUELTIG SMALLINT NOT NULL, 
  GESETZ SMALLINT NOT NULL, 
  BEZ CHAR(35) NOT NULL, 
  BEMERKUNG CHAR(120))
PCTFREE 0
/
INSERT INTO SYSADM.FEIER VALUES(
  :1,
  :2,
  :3,
  :4,
  :5)
\
$DATATYPES CHARACTER,NUMERIC,NUMERIC,CHARACTER,CHARACTER
"BussBet",1,0,"Bu~NP~- und Bettag","nur in Sachsen",
"Ostern/-2",1,1,"Karfreitag","",
"Ostern/+0",1,1,"Ostersonntag","",
"Ostern/+1",1,1,"Ostermontag","",
"Ostern/+39",1,1,"Christi Himmelfahrt","",
"Ostern/+49",1,1,"Pfingstsonntag","",
"Ostern/+50",1,1,"Pfingstmontag","",
"Ostern/+60",1,0,"Fronleichnam","nur in Baden-W~PM~rttemberg, Bayern, Hessen, Nordrhein-Westfalen, Rheinland-Pfalz, Saarland, Sachsen, teilweise Th~PM~ringen",
"08/15",1,0,"Mari~OE~ Himmelfahrt","nur in Bayern (in Gemeinden mit ~PM~berwiegend katholischer Bev~PG~lkerung), Saarland",
"10/03",1,1,"Tag der Deutschen Einheit","",
"Ostern/-47",1,0,"Fastnacht Faschingsdienstag","",
"10/31",1,0,"Reformationstag","nur in Brandenburg, Mecklenburg-Vorpommern, Sachsen, Sachsen-Anhalt, Th~PM~ringen",
"11/01",1,0,"Allerheiligen","nur in Baden-W~PM~rttemberg, Bayern, Hessen, Nordrhein-Westfalen, Rheinland-Pfalz, Saarland",
"01/01",1,1,"Neujahr","",
"05/01",1,1,"Tag der Arbeit","Maifeiertag",
"12/25",1,1,"1. Weihnachtstag","",
"12/26",1,1,"2. Weihnachtstag","",
"Sonntag",1,0,"Sonntag Sonntag ist kein Arbeitstag","",
"Samstag",1,0,"Samstag Samstag ist kein Arbeitstag","",
"Ostern/-48",1,0,"Rosenmontag (nur in K~PG~ln?)","",
"05/23",1,0,"Grundgesetz","",
"Ostern/-3",1,0,"Gr~PM~ndonnerstag","",
"12/06",1,0,"St.Nikolaus","",
"12/24",1,0,"Heiligabend","",
"12/31",1,0,"Silvester","",
/
CREATE UNIQUE INDEX SYSADM.UI_FEIBEZ ON SYSADM.FEIER(
  BEZ)
/
CREATE UNIQUE INDEX SYSADM.UI_FEIER ON SYSADM.FEIER(
  TAG)
PCTFREE 10
/
COMMENT ON TABLE SYSADM.FEIER IS
'stammdaten fr feiertage'
/
COMMENT ON COLUMN SYSADM.FEIER.BEMERKUNG IS
'bemerkungen, gltigkeit, etc.'
/
COMMENT ON COLUMN SYSADM.FEIER.BEZ IS
'name des feiertags'
/
COMMENT ON COLUMN SYSADM.FEIER.GESETZ IS
'gesetzlicher feiertag? (0/1)'
/
COMMENT ON COLUMN SYSADM.FEIER.GUELTIG IS
'feiertag gltig? (0/1)'
/
COMMENT ON COLUMN SYSADM.FEIER.TAG IS
'datumskrzel'
/
